# $Revision: 1.16 $, $Date: 2004/09/14 23:33:52 $
%define		snap	20040910
Summary:	Unix port of Borland TurboVision library
Summary(pl):	Uniksowa wersja biblioteki TurboVision Borlanda
Name:		librhtv
Version:	2.0.3
Release:	0.%{snap}.1
License:	Borland, some modifications are BSD-like licensed (generally free)
Group:		Libraries
# it's really snapshot version, waiting for final release...
Source0:	http://tvision.sourceforge.net/rhtvision-%{version}.src.tar.gz
# Source0-md5:	ff3d0cf14892da91555c73a029c770af
Patch0:		%{name}-nolowlevelgarbage.patch
URL:		http://tvision.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	gpm-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Turbo Vision (or TV, for short) is a library that provides an
application framework. With TV you can write a beautiful
object-oriented character-mode user interface in a short time.

TV is available in C++ and Pascal and is a product of Borland
International. It was developed to run on MS-DOS systems, but today it
is available for many other platforms (ported by independent
programmers).

This port is based on the Borland 2.0 version with fixes.

%description -l pl
Uniksowa wersja biblioteki TurboVision 2.0 Borlanda. TurboVision jest
obiektow bibliotek do okienkowych interfejsw uytkownika w trybie
tekstowym.

%package devel
Summary:	%{name} header files
Summary(pl):	Pliki nagwkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
rhtvision header files.

%description devel -l pl
Pliki nagwkowe rhtvision.

%package static
Summary:	Static %{name} libraries
Summary(pl):	Biblioteki statyczne %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static rhtvision libraries.

%description static -l pl
Biblioteki statyczne rhtvision.

%prep
%setup -q -n tvision
%patch0 -p1

%build
%{__perl} config.pl \
	--prefix=%{_prefix} \
	--cflags="%{rpmcflags} -I/usr/include/ncurses" \
	--cxxflags="%{rpmcflags} -fno-exceptions -I/usr/include/ncurses" \
	%{?debug:--with-debug}

%{__make} \
	RHIDE_GCC=%{__cc} \
	RHIDE_GXX=%{__cxx} \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# let's create new rhide.env
cat > examples/rhide.env  <<EOF
RHIDE_GCC=gcc
RHIDE_GXX=g++
RHIDE_LD=gcc
RHIDE_AR=ar
RHIDE_ARFLAGS=rcs
RHIDE_OS_CFLAGS=%{rpmcflags} -Wall
RHIDE_OS_CXXFLAGS=%{rpmcflags} -Wall
RHIDE_STDINC=/usr/include /usr/X11R6/include /usr/include/ncurses
TVSRC=%{_includedir}/rhtvision
RHIDE_OS_LIBS=stdc++
TVOBJ=
STDCPP_LIB=-lstdc++
SHARED_CODE_OPTION=-fPIC
EOF

cd examples
%{__perl} patchenv.pl
cd ..

cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang tvision%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f tvision%{version}.lang
%defattr(644,root,root,755)
%doc readme.txt TODO borland.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rhtv-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librhtv.spec,v $
Revision 1.16  2004/09/14 23:33:52  undefine
- update to 2.0.3

Revision 1.15  2004/06/16 09:19:22  pascalek
- Release 3
- input1line patch
- gcc 3.4 patch - take a look at this one - I'm not 100% sure about
  that one (it works fine for me...)

Revision 1.14  2004/04/04 19:16:12  qboosh
- strict internal deps

Revision 1.13  2004/04/04 19:14:36  qboosh
- lib64 fixes, release 2

Revision 1.12  2003/10/09 19:35:28  qboosh
- new URLs, updated to 2.0.2
- updated nolowlevelgarbage patch, removed obsolete nostrip and gcc32 patches

Revision 1.11  2003/05/28 12:59:31  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:50:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.8  2002/10/16 20:53:00  qboosh
- evil option (-fno-implicit-templates) removed - no more unresolved symbols

Revision 1.7  2002/10/16 16:01:11  qboosh
- added gcc32 patch (fixes for gcc 3.2)

Revision 1.6  2002/08/11 10:27:08  qboosh
- nostrip patch to remove stripping during install (debug ready now)
- nolowlevelgarbage patch to disable utter garbage called 386LowLevel
- release 2

Revision 1.5  2002/08/08 16:09:21  qboosh
- new %%doc

Revision 1.4  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.3  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.2  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/07 11:19:08  qboosh
- renamed rhtvision.spec to librhtv.spec (according to Name)
- cleanups, cosmetics

Revision 1.3  2002/02/06 08:53:20  juandon
- added XFree86-devel to BuildRequires

Revision 1.2  2002/02/04 19:19:59  juandon
- removed -fno-rtti, now works
- Please, STB

Revision 1.1  2002/02/04 17:23:48  juandon
- initial Release
- Unfortunately any examples doesn't link for me
